[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: G5 install?

On Fri, Jul 09, 2004 at 10:26:00PM +0200, Christoph Hellwig wrote:
> On Thu, Jul 08, 2004 at 12:19:24AM -0700, Brad Boyer wrote:
> > The 20040707 image does seem to fix this specific problem, and it now
> > gets into the installer. It still locks up later while handling the
> > disks, in the same approximate spot that it does when using the 2.4
> > kernel. I'll see what I can do to pin down exactly where it crashes.
> The same happens here for me.  I don't get any kernel messages, even
> when doing dmesg -n 8 before.  I suspect it's a kernel issue somehow.

I found the crash. One of the partman scripts does a "modprobe floppy"
without any way around it. Since all the legacy drivers that poke ISA
addresses crash a G5, this module is instant death. I was able to get
past this step by removing floppy.o (or floppy.ko with 2.6) before it
got to this step.

It seems bad to me for one of these scripts to be so sure that it can
load a particular module, when the rest of the install is pretty
careful to allow a user in expert mode to override module selection.
Of course, loading a module shouldn't really crash the machine, but
that's another story.

	Brad Boyer

Reply to: